#!/bin/bash

if [ $# -ne 1 ]; then
    echo "Usage: ./create-sources VERSION"
    exit 1
fi

VERSION=${1}
POMVERSION=${VERSION}.0
NAME="jts"
rm -Rf ${NAME}-${VERSION}
svn checkout http://svn.code.sf.net/p/jts-topo-suite/code/tags/Version_${VERSION}/ ${NAME}-${VERSION}

pushd ${NAME}-${VERSION}

# Prepare sources structure
  mv ${NAME} ${NAME}-core
  mv ${NAME}app ${NAME}-app
  mv ${NAME}io ${NAME}-io
  mv ${NAME}-sde-adapter ${NAME}-sde

# Move codes in proper place
  mkdir -p ${NAME}-core/src/main/java
  mv ${NAME}-core/java/src/* ${NAME}-core/src/main/java/
  mkdir -p ${NAME}-core/src/test/java
  mv ${NAME}-core/java/test/com ${NAME}-core/src/test/java/
  mv ${NAME}-core/java/test/test ${NAME}-core/src/test/java/
  mkdir -p ${NAME}-core/src/test/resources
  mv ${NAME}-core/java/test/data ${NAME}-core/src/test/resources/
  mkdir -p ${NAME}-sde/src/main/java/com/vividsolutions/jts/io/sde/
  mv ${NAME}-io/src/main/java/com/vividsolutions/jts/io/sde/* ${NAME}-sde/src/main/java/com/vividsolutions/jts/io/sde/
  mkdir -p ${NAME}-ora/src/main/java/com/vividsolutions/jts/io
  mv ${NAME}-io/src/main/java/com/vividsolutions/jts/io/oracle ${NAME}-ora/src/main/java/com/vividsolutions/jts/io/
  mkdir -p ${NAME}-ora/src/test/java/com/vividsolutions/jts/io
  mv ${NAME}-io/src/test/java/com/vividsolutions/jts/io/oracle ${NAME}-ora/src/test/java/com/vividsolutions/jts/io
  mkdir -p ${NAME}-ora/src/test/resources
  cp -a ${NAME}-io/java/test/data ${NAME}-ora/src/test/resources/

# Download POM files
  wget -O pom.xml http://repo1.maven.org/maven2/com/vividsolutions/${NAME}-parent/${POMVERSION}/${NAME}-parent-${POMVERSION}.pom

  for p in app assembly-distribution core example io ora sde; do
    mkdir -p ${NAME}-${p}
    pushd ${NAME}-${p}
      wget -O pom.xml http://repo1.maven.org/maven2/com/vividsolutions/${NAME}-${p}/${POMVERSION}/${NAME}-${p}-${POMVERSION}.pom
    popd
  done

# Cleanup
rm -Rf  .svn libjts
find . -name "*.jar" -delete
find . -name "*.class" -delete
find . -name "*.bat" -delete
find . -name "*.dll" -delete

popd

tar cJf ${NAME}-${VERSION}.tar.xz ./${NAME}-${VERSION}
